diff --git a/xlators/features/selinux/src/selinux.c b/xlators/features/selinux/src/selinux.c
index 1a4b39f253c..190f10b57d8 100644
--- a/xlators/features/selinux/src/selinux.c
+++ b/xlators/features/selinux/src/selinux.c
@@ -319,6 +319,9 @@ struct volume_options options[] = {
           .type                 = GF_OPTION_TYPE_BOOL,
           .default_value        = "on",
           .description          = "Enable/disable selinux translator",
+          .op_version           = {GD_OP_VERSION_3_11_0},
+          .flags                = OPT_FLAG_SETTABLE,
+          .tags                 = {"security" , "linux"},
         },
         { .key                  = { NULL }, }
 };
diff --git a/xlators/features/trash/src/trash.c b/xlators/features/trash/src/trash.c
index f3d2e63b1b2..3baa828143a 100644
--- a/xlators/features/trash/src/trash.c
+++ b/xlators/features/trash/src/trash.c
@@ -2652,28 +2652,47 @@ struct volume_options options[] = {
           .type          = GF_OPTION_TYPE_BOOL,
           .default_value = "off",
           .description   = "Enable/disable trash translator",
+          .op_version    = {GD_OP_VERSION_3_7_0},
+          .flags         = OPT_FLAG_SETTABLE | OPT_FLAG_DOC,
+          .tags          = {"backup"},
         },
         { .key           = { "trash-dir" },
           .type          = GF_OPTION_TYPE_STR,
           .default_value = ".trashcan",
           .description   = "Directory for trash files",
+          .op_version    = {GD_OP_VERSION_3_7_0},
+          .flags         = OPT_FLAG_SETTABLE | OPT_FLAG_DOC,
+          .tags          = {"backup"},
         },
         { .key           = { "trash-eliminate-path" },
           .type          = GF_OPTION_TYPE_STR,
           .description   = "Eliminate paths to be excluded "
                            "from trashing",
+          .op_version    = {GD_OP_VERSION_3_7_0},
+          .flags         = OPT_FLAG_SETTABLE | OPT_FLAG_DOC,
+          .tags          = {"backup"},
         },
         { .key           = { "trash-max-filesize" },
           .type          = GF_OPTION_TYPE_SIZET,
           .default_value = "5MB",
           .description   = "Maximum size of file that can be "
                            "moved to trash",
+          .op_version    = {GD_OP_VERSION_3_7_0},
+          .flags         = OPT_FLAG_SETTABLE | OPT_FLAG_DOC,
+          .tags          = {"backup"},
         },
         { .key           = { "trash-internal-op" },
           .type          = GF_OPTION_TYPE_BOOL,
           .default_value = "off",
           .description   = "Enable/disable trash translator for "
                            "internal operations",
+          .op_version    = {GD_OP_VERSION_3_7_0},
+          .flags         = OPT_FLAG_SETTABLE | OPT_FLAG_DOC,
+          .tags          = {"backup"},
+        },
+        { .key           = {"brick-path"},
+          .type          = GF_OPTION_TYPE_PATH,
+          .default_value = "{{ brick.path }}"
         },
         { .key           = {NULL} },
 };
